Bug 1661251 - Fails due to uninitialised value
Summary: Fails due to uninitialised value
Keywords:
Status: NEW
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Parse-DMIDecode
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 15:22 UTC by Stephen Quinney
Modified: 2020-03-26 10:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Initialise structures to zero to avoid potential problem with numeric comparison (598 bytes, patch)
2018-12-20 15:22 UTC, Stephen Quinney
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
CPAN 54956 None None None 2020-03-26 10:28:54 UTC

Description Stephen Quinney 2018-12-20 15:22:14 UTC
Created attachment 1515903 [details]
Initialise structures to zero to avoid potential problem with numeric comparison

Description of problem:

We use the Parse::DMIDecode perl module on all our EL7 machines as part of our inventory system. Mostly it works fine but on a small number of machines it fails with this error about an uninitialized value:

perl -MParse::DMIDecode -wE 'my $decoder = new Parse::DMIDecode; $decoder->probe'
Use of uninitialized value $data{"structures"} in numeric lt (<) at /usr/share/perl5/vendor_perl/Parse/DMIDecode.pm line 160.

Version-Release number of selected component (if applicable):

0.03-5

How reproducible:

About 1% of our machines, I've not checked but probably all similar hardware.

Additional info:

This seems to be similar to a bug reported in CPAN many years ago:

https://rt.cpan.org/Public/Bug/Display.html?id=54956

except that the supplied patch in that report does NOT work. I have attached a patch which fixes the problem when applied to the 0.03-5 SRPM.

Regards,

Stephen Quinney

Comment 1 Fedora Admin XMLRPC Client 2020-02-10 16:32:28 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 2 Fedora Admin XMLRPC Client 2020-03-25 16:48:58 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 3 Petr Pisar 2020-03-26 09:59:54 UTC
Could you provide "dmidecode" command output from the machine where you observe the warning?


Note You need to log in before you can comment on or make changes to this bug.